#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './calibratedlg.ui'
**
** Created: Tue May 15 12:46:23 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "calibratedlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qlistbox.h>
#include <qslider.h>
#include <qspinbox.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a CalibrateDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
CalibrateDlg::CalibrateDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "CalibrateDlg" );
    CalibrateDlgLayout = new QVBoxLayout( this, 11, 6, "CalibrateDlgLayout"); 

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    layout5 = new QVBoxLayout( 0, 0, 6, "layout5"); 

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    TextLabel1 = new QLabel( this, "TextLabel1" );
    layout4->addWidget( TextLabel1 );

    SchemeList = new QComboBox( FALSE, this, "SchemeList" );
    layout4->addWidget( SchemeList );
    layout5->addLayout( layout4 );

    ColorList = new QListBox( this, "ColorList" );
    layout5->addWidget( ColorList );
    layout8->addLayout( layout5 );

    layout3 = new QVBoxLayout( 0, 0, 6, "layout3"); 

    SelectedColorName = new QLabel( this, "SelectedColorName" );
    layout3->addWidget( SelectedColorName );

    ExampleColor = new QLabel( this, "ExampleColor" );
    ExampleColor->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, ExampleColor->sizePolicy().hasHeightForWidth() ) );
    ExampleColor->setMinimumSize( QSize( 0, 0 ) );
    ExampleColor->setScaledContents( TRUE );
    ExampleColor->setAlignment( int( QLabel::AlignCenter ) );
    layout3->addWidget( ExampleColor );

    layout1 = new QGridLayout( 0, 1, 1, 0, 6, "layout1"); 

    BlueSlider = new QSlider( this, "BlueSlider" );
    BlueSlider->setMaxValue( 255 );
    BlueSlider->setOrientation( QSlider::Horizontal );

    layout1->addWidget( BlueSlider, 2, 1 );

    BlueSpin = new QSpinBox( this, "BlueSpin" );
    BlueSpin->setMaxValue( 255 );

    layout1->addWidget( BlueSpin, 2, 2 );

    RedSlider = new QSlider( this, "RedSlider" );
    RedSlider->setMaxValue( 255 );
    RedSlider->setOrientation( QSlider::Horizontal );
    RedSlider->setTickmarks( QSlider::NoMarks );

    layout1->addWidget( RedSlider, 0, 1 );

    TextLabel4 = new QLabel( this, "TextLabel4" );

    layout1->addWidget( TextLabel4, 1, 0 );

    TextLabel3 = new QLabel( this, "TextLabel3" );

    layout1->addWidget( TextLabel3, 0, 0 );

    GreenSlider = new QSlider( this, "GreenSlider" );
    GreenSlider->setMaxValue( 255 );
    GreenSlider->setOrientation( QSlider::Horizontal );

    layout1->addWidget( GreenSlider, 1, 1 );

    TextLabel5 = new QLabel( this, "TextLabel5" );

    layout1->addWidget( TextLabel5, 2, 0 );

    GreenSpin = new QSpinBox( this, "GreenSpin" );
    GreenSpin->setMaxValue( 255 );

    layout1->addWidget( GreenSpin, 1, 2 );

    RedSpin = new QSpinBox( this, "RedSpin" );
    RedSpin->setMaxValue( 255 );

    layout1->addWidget( RedSpin, 0, 2 );
    layout3->addLayout( layout1 );

    ResetColor = new QPushButton( this, "ResetColor" );
    layout3->addWidget( ResetColor );
    spacer1 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout3->addItem( spacer1 );
    layout8->addLayout( layout3 );
    CalibrateDlgLayout->addLayout( layout8 );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );
    CalibrateDlgLayout->addWidget( line1 );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    HelpButton = new QPushButton( this, "HelpButton" );
    layout7->addWidget( HelpButton );
    spacer2 = new QSpacerItem( 320, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer2 );

    OKButton = new QPushButton( this, "OKButton" );
    layout7->addWidget( OKButton );

    CancelButton = new QPushButton( this, "CancelButton" );
    layout7->addWidget( CancelButton );
    CalibrateDlgLayout->addLayout( layout7 );
    languageChange();
    resize( QSize(610, 412).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( OKButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( CancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( RedSlider, SIGNAL( valueChanged(int) ), RedSpin, SLOT( setValue(int) ) );
    connect( GreenSlider, SIGNAL( valueChanged(int) ), GreenSpin, SLOT( setValue(int) ) );
    connect( BlueSlider, SIGNAL( valueChanged(int) ), BlueSpin, SLOT( setValue(int) ) );
    connect( BlueSpin, SIGNAL( valueChanged(int) ), BlueSlider, SLOT( setValue(int) ) );
    connect( RedSpin, SIGNAL( valueChanged(int) ), RedSlider, SLOT( setValue(int) ) );
    connect( GreenSpin, SIGNAL( valueChanged(int) ), GreenSlider, SLOT( setValue(int) ) );

    // tab order
    setTabOrder( SchemeList, ColorList );
    setTabOrder( ColorList, RedSlider );
    setTabOrder( RedSlider, RedSpin );
    setTabOrder( RedSpin, GreenSlider );
    setTabOrder( GreenSlider, GreenSpin );
    setTabOrder( GreenSpin, BlueSlider );
    setTabOrder( BlueSlider, BlueSpin );
    setTabOrder( BlueSpin, ResetColor );
    setTabOrder( ResetColor, HelpButton );
    setTabOrder( HelpButton, OKButton );
    setTabOrder( OKButton, CancelButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CalibrateDlg::~CalibrateDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CalibrateDlg::languageChange()
{
    setCaption( tr2i18n( "Calibrate Floss Colors" ) );
    TextLabel1->setText( tr2i18n( "Scheme" ) );
    SelectedColorName->setText( tr2i18n( "Currently selected color" ) );
    TextLabel4->setText( tr2i18n( "Green" ) );
    TextLabel3->setText( tr2i18n( "Red" ) );
    TextLabel5->setText( tr2i18n( "Blue" ) );
    ResetColor->setText( tr2i18n( "Reset Color" ) );
    HelpButton->setText( tr2i18n( "Help" ) );
    OKButton->setText( tr2i18n( "OK" ) );
    CancelButton->setText( tr2i18n( "Cancel" ) );
}

#include "calibratedlg.moc"
