#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './importimage.ui'
**
** Created: Tue May 15 12:46:23 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "importimage.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <qcombobox.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <knuminput.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "knuminput.h"

/*
 *  Constructs a ImportImage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
ImportImage::ImportImage( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ImportImage" );
    ImportImageLayout = new QGridLayout( this, 1, 1, 11, 6, "ImportImageLayout"); 

    CropImageLabel = new QLabel( this, "CropImageLabel" );
    CropImageLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, CropImageLabel->sizePolicy().hasHeightForWidth() ) );
    CropImageLabel->setMinimumSize( QSize( 280, 280 ) );
    CropImageLabel->setScaledContents( FALSE );
    CropImageLabel->setAlignment( int( QLabel::AlignCenter ) );

    ImportImageLayout->addMultiCellWidget( CropImageLabel, 0, 1, 0, 0 );

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    Import_FlossScheme = new QComboBox( FALSE, groupBox1, "Import_FlossScheme" );

    groupBox1Layout->addMultiCellWidget( Import_FlossScheme, 0, 0, 1, 2 );

    Import_MaxColors = new QSpinBox( groupBox1, "Import_MaxColors" );
    Import_MaxColors->setEnabled( FALSE );
    Import_MaxColors->setMaxValue( 250 );
    Import_MaxColors->setMinValue( 2 );
    Import_MaxColors->setValue( 50 );

    groupBox1Layout->addWidget( Import_MaxColors, 1, 2 );

    TextLabel1 = new QLabel( groupBox1, "TextLabel1" );

    groupBox1Layout->addWidget( TextLabel1, 0, 0 );

    Import_UseMaxColors = new QCheckBox( groupBox1, "Import_UseMaxColors" );

    groupBox1Layout->addMultiCellWidget( Import_UseMaxColors, 1, 1, 0, 1 );

    ImportImageLayout->addWidget( groupBox1, 0, 1 );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    HelpButton = new QPushButton( this, "HelpButton" );
    layout1->addWidget( HelpButton );
    spacer1 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout1->addItem( spacer1 );

    ImportButton = new QPushButton( this, "ImportButton" );
    layout1->addWidget( ImportButton );

    CancelButton = new QPushButton( this, "CancelButton" );
    layout1->addWidget( CancelButton );

    ImportImageLayout->addMultiCellLayout( layout1, 5, 5, 0, 1 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    ResetButton = new QPushButton( this, "ResetButton" );
    ResetButton->setEnabled( FALSE );
    layout3->addWidget( ResetButton );
    spacer2 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer2 );

    ImportImageLayout->addLayout( layout3, 4, 1 );

    Import_SetDefault = new QCheckBox( this, "Import_SetDefault" );

    ImportImageLayout->addWidget( Import_SetDefault, 3, 1 );
    spacer3 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ImportImageLayout->addItem( spacer3, 2, 1 );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    TextLabel18 = new QLabel( groupBox2, "TextLabel18" );

    groupBox2Layout->addMultiCellWidget( TextLabel18, 0, 0, 0, 1 );

    Import_ClothCount = new KDoubleNumInput( groupBox2, "Import_ClothCount" );
    Import_ClothCount->setValue( 16 );
    Import_ClothCount->setMinValue( 7 );
    Import_ClothCount->setMaxValue( 40 );

    groupBox2Layout->addWidget( Import_ClothCount, 0, 2 );

    Import_PatternScale = new QSpinBox( groupBox2, "Import_PatternScale" );
    Import_PatternScale->setMaxValue( 10000 );
    Import_PatternScale->setMinValue( 10 );
    Import_PatternScale->setLineStep( 1 );
    Import_PatternScale->setValue( 100 );

    groupBox2Layout->addWidget( Import_PatternScale, 1, 2 );

    Import_UseFractionals = new QCheckBox( groupBox2, "Import_UseFractionals" );

    groupBox2Layout->addMultiCellWidget( Import_UseFractionals, 3, 3, 0, 2 );

    TextLabel2 = new QLabel( groupBox2, "TextLabel2" );
    TextLabel2->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );

    groupBox2Layout->addMultiCellWidget( TextLabel2, 1, 1, 0, 1 );

    textLabel1 = new QLabel( groupBox2, "textLabel1" );

    groupBox2Layout->addWidget( textLabel1, 2, 0 );

    Import_PatternSize = new QLabel( groupBox2, "Import_PatternSize" );

    groupBox2Layout->addMultiCellWidget( Import_PatternSize, 2, 2, 1, 2 );

    ImportImageLayout->addWidget( groupBox2, 1, 1 );
    languageChange();
    resize( QSize(640, 425).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( ImportButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( CancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( Import_UseMaxColors, SIGNAL( toggled(bool) ), Import_MaxColors, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( Import_FlossScheme, Import_UseMaxColors );
    setTabOrder( Import_UseMaxColors, Import_MaxColors );
    setTabOrder( Import_MaxColors, Import_ClothCount );
    setTabOrder( Import_ClothCount, Import_PatternScale );
    setTabOrder( Import_PatternScale, Import_UseFractionals );
    setTabOrder( Import_UseFractionals, Import_SetDefault );
    setTabOrder( Import_SetDefault, ResetButton );
    setTabOrder( ResetButton, HelpButton );
    setTabOrder( HelpButton, ImportButton );
    setTabOrder( ImportButton, CancelButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ImportImage::~ImportImage()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ImportImage::languageChange()
{
    setCaption( tr2i18n( "Import Image" ) );
    groupBox1->setTitle( tr2i18n( "Palette" ) );
    TextLabel1->setText( tr2i18n( "Floss Scheme" ) );
    Import_UseMaxColors->setText( tr2i18n( "Maximum colors" ) );
    HelpButton->setText( tr2i18n( "Help" ) );
    ImportButton->setText( tr2i18n( "Import" ) );
    CancelButton->setText( tr2i18n( "Cancel" ) );
    ResetButton->setText( tr2i18n( "Reset" ) );
    Import_SetDefault->setText( tr2i18n( "Set as default" ) );
    groupBox2->setTitle( tr2i18n( "Size" ) );
    TextLabel18->setText( tr2i18n( "Cloth count" ) );
    Import_PatternScale->setSuffix( tr2i18n( "%" ) );
    QToolTip::add( Import_PatternScale, tr2i18n( "Width in stitches" ) );
    Import_UseFractionals->setText( tr2i18n( "Use fractionals" ) );
    TextLabel2->setText( tr2i18n( "Pattern scale" ) );
    textLabel1->setText( tr2i18n( "Pattern size" ) );
    Import_PatternSize->setText( tr2i18n( "textLabel2" ) );
}

#include "importimage.moc"
