#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './patternlibrarydlg.ui'
**
** Created: Tue May 15 12:46:24 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "patternlibrarydlg.h"

#include <qvariant.h>
#include <qsplitter.h>
#include <qheader.h>
#include <klistview.h>
#include <qiconview.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klistview.h"

/*
 *  Constructs a PatternLibraryDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
PatternLibraryDlg::PatternLibraryDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "PatternLibraryDlg" );
    PatternLibraryDlgLayout = new QVBoxLayout( this, 11, 6, "PatternLibraryDlgLayout"); 

    splitter1 = new QSplitter( this, "splitter1" );
    splitter1->setOrientation( QSplitter::Horizontal );

    LibraryList = new KListView( splitter1, "LibraryList" );
    LibraryList->addColumn( tr2i18n( "Library" ) );
    LibraryList->setRootIsDecorated( TRUE );
    LibraryList->setFullWidth( TRUE );

    PatternPreviews = new QIconView( splitter1, "PatternPreviews" );
    PatternPreviews->setItemsMovable( FALSE );
    PatternLibraryDlgLayout->addWidget( splitter1 );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    HelpButton = new QPushButton( this, "HelpButton" );
    HelpButton->setEnabled( TRUE );
    layout2->addWidget( HelpButton );
    spacer1 = new QSpacerItem( 260, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer1 );

    InsertButton = new QPushButton( this, "InsertButton" );
    InsertButton->setEnabled( FALSE );
    InsertButton->setMinimumSize( QSize( 0, 0 ) );
    layout2->addWidget( InsertButton );

    CancelButton = new QPushButton( this, "CancelButton" );
    CancelButton->setMinimumSize( QSize( 70, 30 ) );
    layout2->addWidget( CancelButton );
    PatternLibraryDlgLayout->addLayout( layout2 );
    languageChange();
    resize( QSize(607, 481).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( InsertButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( CancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );

    // tab order
    setTabOrder( LibraryList, PatternPreviews );
    setTabOrder( PatternPreviews, HelpButton );
    setTabOrder( HelpButton, InsertButton );
    setTabOrder( InsertButton, CancelButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PatternLibraryDlg::~PatternLibraryDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PatternLibraryDlg::languageChange()
{
    setCaption( tr2i18n( "Pattern Library Manager" ) );
    LibraryList->header()->setLabel( 0, tr2i18n( "Library" ) );
    HelpButton->setText( tr2i18n( "Help" ) );
    InsertButton->setText( tr2i18n( "Insert" ) );
    CancelButton->setText( tr2i18n( "Cancel" ) );
}

#include "patternlibrarydlg.moc"
