#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './texttooldlg.ui'
**
** Created: Tue May 15 12:46:24 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "texttooldlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <kfontcombo.h>
#include <qspinbox.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kfontcombo.h"
#include "klineedit.h"

/*
 *  Constructs a TextToolDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
TextToolDlg::TextToolDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "TextToolDlg" );
    TextToolDlgLayout = new QVBoxLayout( this, 11, 6, "TextToolDlgLayout"); 

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    layout1->addWidget( textLabel1 );

    TextTool_Font = new KFontCombo( this, "TextTool_Font" );
    layout1->addWidget( TextTool_Font );

    textLabel2 = new QLabel( this, "textLabel2" );
    layout1->addWidget( textLabel2 );

    TextTool_Size = new QSpinBox( this, "TextTool_Size" );
    TextTool_Size->setMinValue( 5 );
    layout1->addWidget( TextTool_Size );
    TextToolDlgLayout->addLayout( layout1 );

    TextTool_Text = new QLineEdit( this, "TextTool_Text" );
    TextToolDlgLayout->addWidget( TextTool_Text );
    spacer2 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    TextToolDlgLayout->addItem( spacer2 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    TextTool_Help = new QPushButton( this, "TextTool_Help" );
    layout4->addWidget( TextTool_Help );
    spacer1 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addItem( spacer1 );

    TextTool_OK = new QPushButton( this, "TextTool_OK" );
    layout4->addWidget( TextTool_OK );

    TextTool_Cancel = new QPushButton( this, "TextTool_Cancel" );
    layout4->addWidget( TextTool_Cancel );
    TextToolDlgLayout->addLayout( layout4 );
    languageChange();
    resize( QSize(373, 127).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( TextTool_OK, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( TextTool_Cancel, SIGNAL( clicked() ), this, SLOT( reject() ) );

    // tab order
    setTabOrder( TextTool_Font, TextTool_Size );
    setTabOrder( TextTool_Size, TextTool_Text );
    setTabOrder( TextTool_Text, TextTool_OK );
    setTabOrder( TextTool_OK, TextTool_Cancel );
    setTabOrder( TextTool_Cancel, TextTool_Help );
}

/*
 *  Destroys the object and frees any allocated resources
 */
TextToolDlg::~TextToolDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TextToolDlg::languageChange()
{
    setCaption( tr2i18n( "Text Tool" ) );
    textLabel1->setText( tr2i18n( "Font" ) );
    textLabel2->setText( tr2i18n( "Size" ) );
    TextTool_Help->setText( tr2i18n( "Help" ) );
    TextTool_OK->setText( tr2i18n( "OK" ) );
    TextTool_Cancel->setText( tr2i18n( "Cancel" ) );
}

#include "texttooldlg.moc"
